import { NodeKey, EditorConfig, LexicalEditor, LexicalNode, LexicalCommand, ElementNode, DOMConversionMap, DOMExportOutput, ParagraphNode, RangeSelection, SerializedElementNode, SerializedLexicalNode } from "lexical";
export declare class ImageNode extends ElementNode {
    __url: string;
    static getType(): string;
    static clone(node: ImageNode): ImageNode;
    constructor(url: string, key?: NodeKey);
    createDOM(config: EditorConfig): HTMLElement;
    updateDOM(): false;
    setURL(url: string): void;
    static importDOM(): DOMConversionMap | null;
    exportDOM(editor: LexicalEditor): DOMExportOutput;
    insertNewAfter(selection?: RangeSelection, restoreSelection?: boolean): ParagraphNode;
    collapseAtStart(): true;
    extractWithChild(): boolean;
    exportJSON(): SerializedElementNode;
    static importJSON(_serializedNode: SerializedLexicalNode): LexicalNode;
}
export declare function $createImageNode(url: string): ImageNode;
export declare function $isImageNode(node: LexicalNode | null | undefined): boolean;
type CommandPayload = string;
export declare const INSERT_IMAGE_COMMAND: LexicalCommand<CommandPayload>;
export {};
